# Copyright 2021-2022 Ian Jackson and contributors to Hippotat
# SPDX-License-Identifier: GPL-3.0-or-later WITH LicenseRef-Hippotat-OpenSSL-Exception
# There is NO WARRANTY.

[package]
name = "hippotat"
version = "1.1.7"
edition = "2018"
description="Asinine HTTP-over-IP"
license="GPL-3.0-or-later"
# ^ Actually, it's WITH LicenseRef-Hippotat-OpenSSL-Exception
repository="https://salsa.debian.org/iwj/hippotat"
homepage="https://www.chiark.greenend.org.uk/~ianmdlvl/hippotat/current/docs/"

[workspace]
members = ["macros"]

[[bin]]
name="hippotat"
path="client/client.rs"

[[bin]]
name="hippotatd"
path="server/server.rs"

[dependencies]

hippotat-macros = { version = "1.1.3", path = "macros" }

# versions specified here are mostly just guesses at what is needed
# (or currently available):
backtrace = "0.3"
base64 = "0.13" # 0.20 has substantially incompatible API (there's no 0.14)
clap = { version = "3", features = ["derive"] }
easy-ext = "1"
educe = "0.4"
either = "1"
env_logger = ">=0.9, <0.11"
eyre = "0.6"		# deps not in sid: indenter (see below)
fehler = "1"
futures = "0.3"
heck = "0.4"
hyper = { version = "0.14", features = ["full"] }
hyper-tls = "0.5"
indenter = "0.3"
ipnet = "2"
itertools = "0.10"
lazy-regex = "2"
lazy_static = "1.4"
libc = "0.2" # just for EISDIR due to IsADirectory
log = "0.4"
memchr = "2"
mime = "0.3"
nix = ">=0.25, <0.27"
parking_lot = ">= 0.11, < 0.13"
pin-project-lite = "0.2"
regex = "1.5"
sha2 = "0.10"
subtle = "2"
syslog = "6"
thiserror = "1"
tokio = { version = "1", features = ["full"] }
void = "1"
